Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616278 - yum should update x86_64 packages when i686 packages show conflict
yum should update x86_64 packages when i686 packages show conflict
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 21:56 EDT by Praveen Arimbrathodiyil
Modified: 2014-01-21 18:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:10:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Praveen Arimbrathodiyil 2010-07-19 21:56:19 EDT
Description of problem:

When a new version of a i686 package is getting installed it shows conflict with it x86_64 version if x86_64 version installed is older than the i686 version to be installed. Manually updating the x86_64 version solves this. yum should offer to do this automatically.

[pravi@savannah ~]$ sudo yum install gtk-nodoka-engine.i686
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.isu.edu.tw
 * rpmfusion-free: mirror.cse.iitk.ac.in
 * rpmfusion-free-updates: mirror.cse.iitk.ac.in
 * updates: mirror.cse.iitk.ac.in
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package gtk-nodoka-engine.i686 0:0.7.2-8.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch        Version              Repository      Size
================================================================================
Installing:
 gtk-nodoka-engine        i686        0.7.2-8.fc12         updates         51 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 51 k
Is this ok [y/N]: y
Downloading Packages:
gtk-nodoka-engine-0.7.2-8.fc12.i686.rpm                  |  51 kB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/themes/Nodoka/gtk-2.0/gtkrc from install of gtk-nodoka-engine-
0.7.2-8.fc12.i686 conflicts with file from package gtk-nodoka-engine-0.7.2-6.fc1
2.x86_64                                                                       

Error Summary
-------------

[pravi@savannah ~]$ sudo yum install gtk-nodoka-engine.i686 gtk-nodoka-engine.x8
6_64                                                                           
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.isu.edu.tw
 * rpmfusion-free: mirror.cse.iitk.ac.in
 * rpmfusion-free-updates: mirror.cse.iitk.ac.in
 * updates: mirror.cse.iitk.ac.in
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package gtk-nodoka-engine.i686 0:0.7.2-8.fc12 set to be updated
---> Package gtk-nodoka-engine.x86_64 0:0.7.2-8.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch         Version               Repository     Size
================================================================================
Installing:
 gtk-nodoka-engine       i686         0.7.2-8.fc12          updates        51 k
Updating:
 gtk-nodoka-engine       x86_64       0.7.2-8.fc12          updates        52 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)

Total size: 103 k
Total download size: 52 k
Is this ok [y/N]: y
Downloading Packages:
gtk-nodoka-engine-0.7.2-8.fc12.x86_64.rpm                |  52 kB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : gtk-nodoka-engine-0.7.2-8.fc12.i686                      1/3 
  Updating       : gtk-nodoka-engine-0.7.2-8.fc12.x86_64                    2/3 
  Cleanup        : gtk-nodoka-engine-0.7.2-6.fc12.x86_64                    3/3 

Installed:
  gtk-nodoka-engine.i686 0:0.7.2-8.fc12                                         

Updated:
  gtk-nodoka-engine.x86_64 0:0.7.2-8.fc12                                       

Complete!
[pravi@savannah ~]$ 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. downgrade 64 bit version of gtk-nodoka-engine
2. install 32 bit version of gtk-nodoka-engine
3.
  
Actual results:
installation fails with a conflict

Expected results:
successful installation

Additional info:
Comment 1 James Antill 2010-07-20 01:14:24 EDT
  file /usr/share/themes/Nodoka/gtk-2.0/gtkrc from install of gtk-nodoka-engine-0.7.2-8.fc12.i686 conflicts with file from package gtk-nodoka-engine-0.7.2-6.fc1

...yum can't see file conflicts, due to lack of data. This might work if the package conflicts with versions of itself that aren't == current version.
 That isn't ideal though.
Comment 2 Praveen Arimbrathodiyil 2010-07-20 02:54:49 EDT
But can't yum offer to upgrade x86_64 version when if finds out older version is conflicting? At least it resolves the file conflict to a package conflict when it prints the error message.
Comment 3 James Antill 2010-07-20 10:29:48 EDT
Yum isn't doing that bit, rpm is. And by that time yum can't easily go back and change it's mind about what it should do.
Comment 4 seth vidal 2010-07-20 10:39:30 EDT
But yum could do:

I'm installing foo.i686, do I have foo.x86_64 installed? If so - do the versions match? B/c in, conservatively, 95% of the cases if the versions don't match you're in for a file conflict.

I'll reopen this as a potential item for later.
Comment 5 Bug Zapper 2010-11-03 07:47:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 08:10:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 James Antill 2010-12-03 09:23:33 EST
We didn't/won't fix this for Fedora 12 ... but we did fix this upstream.

Note You need to log in before you can comment on or make changes to this bug.